package com.fjhx.service.example;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.base.BaseService;
import com.fjhx.entity.example.ExampleInfo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 流程实例 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-08-18
 */
public interface ExampleInfoService extends BaseService<ExampleInfo> {

    Page<Map<String, Object>> getWaitingProcessingPage(Map<String, String> condition);

    List<Map<String, Object>> record(Long flowLinkNo);

    List<Map<String, Object>> showFlow(String code);

    Page<Map<String, Object>> getDone(Map<String, String> condition);

    void withdraw(Long withdrawExampleInfoId, Long withdrawExampleDetailsId);

    void revoke(Long withdrawExampleInfoId);

}
